# Contributing guidelines

Tank you for your interest in the project.
**Every contribution** to the project **is welcome**!

## Issues

Feel free to submit **issues**, **enhancement ideas** and **feature requests**.

**Before submitting an issue**, please check if it has already been reported by checking the open issues.
Try to be **as detailed as possible** when describing the encountered issue:

* Precisely describe the bug: what is not working and how should it instead work?
* Describe the **steps to reproduce the issue**.
* **A code example** is often very helpful to better understand what is causing the problem. Provide it if possible.
* Provide any extra information you consider important: device, browser and OS in use; other scripts and plugins in use etc..

## Contributing

If you want to contribute to the project by submitting pull requests, please **open an issue in the issue tracker** to describe the bug(s) you are going to fix, or which extra feature(s) you are going to implement. If an issue is already open, please post a comment in the issue's thread. Before starting coding, **wait for a confirmation from the project's developers**. This will make sure you are not going to work on something which is already under development, or which will not be merged in the project.

When developing code for the project:

* **accurately comment** your code
* adhere to the coding conventions used in the project

**IMPORTANT: Pull requests must always contain a list of addressed issues in their descriptions.**


## Copyright and Licensing

The project is licensed under the terms of the **MIT license**.
When contributing, you agree to allow the project owner to license your work under the same license as that used by the project.
